Public Member Functions | Protected Attributes

# ByteReader Class Reference

Class to read from a NewGRF file. More...

## Public Member Functions
| ByteReader (byte *data, byte *end)
byte | ReadByte ()
uint16 | ReadWord ()
uint16 | ReadExtendedByte ()
uint32 | ReadDWord ()
uint32 | ReadVarSize (byte size)
const char * | ReadString ()
size_t | Remaining () const
bool | HasData (size_t count=1) const
byte * | Data ()
void | Skip (size_t len)
## Protected Attributes
byte * | data
byte * | end

## Detailed Description

Class to read from a NewGRF file.

Definition at line 207 of file newgrf.cpp.

The documentation for this class was generated from the following file:

- src/newgrf.cpp